Page MenuHomePhabricator

Wikidata entity search results do not show recently added lexemes
Closed, ResolvedPublic

Description

In Wikidata entity search (entity suggester) the search results do not show recently added lexemes.

Example:

  1. Go to https://www.wikidata.org/wiki/Lexeme:L2133
  2. Add "compound" property
  3. Attempt to add "udsagn" lexeme which is surely there: https://www.wikidata.org/wiki/Lexeme:L2744. I cannot see "udsagn" in the list, only "udsagnsord". I would have expected a list of "udsagn" and "udsagnsord".
  4. Attempts to add "L2744" or "Lexeme:L2744" as search strings in the property value field. These search string yield "No match was found".

It is unclear to me whether only lexemes are affected, or whether this also affects Q items.

Event Timeline

Fnielsen created this task.Jun 11 2018, 1:30 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 11 2018, 1:30 PM

In recent days, I noticed it for newly created items as well

(e.g. create an item for a value you want to add, then try to add it by typing its label as value .. it wont work).

I have also noted problems with items.

I now see the lexeme items I created yesterday in the entity search. Also when I create new items now they appear in the search entity result.

Note that we have "instant index" set up for Items and Properties, but not Lexemes:

$wgCirrusSearchInstantIndexNew = [ NS_MAIN, WB_NS_PROPERTY ];

We may want to add lexemes there too.

Change 440420 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[operations/mediawiki-config@master] Add Lexemes to instant-index set

https://gerrit.wikimedia.org/r/440420

Smalyshev moved this task from Backlog to Next on the User-Smalyshev board.Jun 15 2018, 11:07 PM
Smalyshev moved this task from Next to Waiting/Blocked on the User-Smalyshev board.

Change 419367 had a related patch set uploaded (by DCausse; owner: DCausse):
[operations/mediawiki-config@master] Add cirrussearch settings for wikibase (1/3)

https://gerrit.wikimedia.org/r/419367

Smalyshev triaged this task as Normal priority.Jun 21 2018, 6:24 PM

Change 440420 merged by jenkins-bot:
[operations/mediawiki-config@master] Add Lexemes to instant-index set

https://gerrit.wikimedia.org/r/440420

Smalyshev closed this task as Resolved.Jun 27 2018, 2:56 AM
Smalyshev claimed this task.

This should be fixed now.

Change 419367 merged by jenkins-bot:
[operations/mediawiki-config@master] Add cirrussearch settings for wikibase (1/3)

https://gerrit.wikimedia.org/r/419367

Vvjjkkii renamed this task from Wikidata entity search results do not show recently added lexemes to z9aaaaaaaa.Jul 1 2018, 1:04 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Smalyshev as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from z9aaaaaaaa to Wikidata entity search results do not show recently added lexemes.Jul 2 2018, 2:54 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Smalyshev.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.